VULKAN_HPP_NAMESPACE::DisplayModeParametersKHR Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::DisplayModeParametersKHR:
[legend]

## Public Member Functions

| DisplayModeParametersKHR (Extent2D visibleRegion_=Extent2D(), uint32_t refreshRate_=0)
| DisplayModeParametersKHR (VkDisplayModeParametersKHR const &rhs)
DisplayModeParametersKHR & | operator= (VkDisplayModeParametersKHR const &rhs)
DisplayModeParametersKHR & | setVisibleRegion (Extent2D visibleRegion_)
DisplayModeParametersKHR & | setRefreshRate (uint32_t refreshRate_)
| operator VkDisplayModeParametersKHR const & () const
| operator VkDisplayModeParametersKHR & ()
bool | operator== (DisplayModeParametersKHR const &rhs) const
bool | operator!= (DisplayModeParametersKHR const &rhs) const

## Data Fields

Extent2D | visibleRegion
uint32_t | refreshRate

## Detailed Description

Definition at line 7104 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DisplayModeParametersKHR() [1/2]

VULKAN_HPP_NAMESPACE::DisplayModeParametersKHR::DisplayModeParametersKHR | ( | Extent2D | visibleRegion_ = `Extent2D()`,
|  | uint32_t | refreshRate_ = `0`
| ) |  |

inline

Definition at line 7106 of file vulkan.hpp.

: visibleRegion( visibleRegion_ )
, refreshRate( refreshRate_ )
{
}

## DisplayModeParametersKHR() [2/2]

VULKAN_HPP_NAMESPACE::DisplayModeParametersKHR::DisplayModeParametersKHR | ( | VkDisplayModeParametersKHR const & | rhs | ) |

inline

Definition at line 7113 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DisplayModeParametersKHR ) );
}

References memcpy.

## Member Function Documentation

## operator VkDisplayModeParametersKHR &()

VULKAN_HPP_NAMESPACE::DisplayModeParametersKHR::operator VkDisplayModeParametersKHR & | ( |  | ) |

inline

Definition at line 7140 of file vulkan.hpp.

{
return *reinterpret_cast<VkDisplayModeParametersKHR*>(this);
}

## operator VkDisplayModeParametersKHR const &()

VULKAN_HPP_NAMESPACE::DisplayModeParametersKHR::operator VkDisplayModeParametersKHR const & | ( |  | ) | const

inline

Definition at line 7135 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDisplayModeParametersKHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DisplayModeParametersKHR::operator!= | ( | DisplayModeParametersKHR const & | rhs | ) | const

inline

Definition at line 7151 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DisplayModeParametersKHR& VULKAN_HPP_NAMESPACE::DisplayModeParametersKHR::operator= | ( | VkDisplayModeParametersKHR const & | rhs | ) |

inline

Definition at line 7118 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DisplayModeParametersKHR ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DisplayModeParametersKHR::operator== | ( | DisplayModeParametersKHR const & | rhs | ) | const

inline

Definition at line 7145 of file vulkan.hpp.

{
return ( visibleRegion == rhs.visibleRegion )
&& ( refreshRate == rhs.refreshRate );
}

References refreshRate, and visibleRegion.

Referenced by operator!=().

## setRefreshRate()

DisplayModeParametersKHR& VULKAN_HPP_NAMESPACE::DisplayModeParametersKHR::setRefreshRate | ( | uint32_t | refreshRate_ | ) |

inline

Definition at line 7129 of file vulkan.hpp.

{
refreshRate = refreshRate_;
return *this;
}

References refreshRate.

## setVisibleRegion()

DisplayModeParametersKHR& VULKAN_HPP_NAMESPACE::DisplayModeParametersKHR::setVisibleRegion | ( | Extent2D | visibleRegion_ | ) |

inline

Definition at line 7123 of file vulkan.hpp.

{
visibleRegion = visibleRegion_;
return *this;
}

References visibleRegion.

## Field Documentation

## refreshRate

uint32_t VULKAN_HPP_NAMESPACE::DisplayModeParametersKHR::refreshRate

Definition at line 7157 of file vulkan.hpp.

Referenced by operator==(), and setRefreshRate().

## visibleRegion

Extent2D VULKAN_HPP_NAMESPACE::DisplayModeParametersKHR::visibleRegion

Definition at line 7156 of file vulkan.hpp.

Referenced by operator==(), and setVisibleRegion().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VkDisplayModeParametersKHR
Definition: vulkan_core.h:4977
VULKAN_HPP_NAMESPACE::DisplayModeParametersKHR::operator==
bool operator==(DisplayModeParametersKHR const &rhs) const
Definition: vulkan.hpp:7145
VULKAN_HPP_NAMESPACE::DisplayModeParametersKHR::refreshRate
uint32_t refreshRate
Definition: vulkan.hpp:7157
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::DisplayModeParametersKHR::visibleRegion
Extent2D visibleRegion
Definition: vulkan.hpp:7156
VULKAN_HPP_NAMESPACE::DisplayModeParametersKHR::DisplayModeParametersKHR
DisplayModeParametersKHR(Extent2D visibleRegion_=Extent2D(), uint32_t refreshRate_=0)
Definition: vulkan.hpp:7106